var babel = require("babel-core");
// --------------------------------
module.exports = function (wallaby) {
  var es6ToEs5Preprocessor = file =>
    babel.transform(file.content, { sourceMap: true, filename: file.path });
  return {
    files: [
      "src/**/*.js"
    ],
    tests: [
      "test/**/*.js"
    ],
    preprocessors: {
      "test/**/*.js": es6ToEs5Preprocessor,
      "src/*.js": es6ToEs5Preprocessor
    },
    debug: true,
    env: {
      type: "node",
      runner: "node"
    },
    testFramework: "tape"
  };
};
